#ifndef __GameObject_h__
#define __GameObject_h__

#include <iostream>
#include <vector>

#include "SDL.h"

class GameObject
{
public:

  virtual void load(int x, int y, int width, int height, std::string textureID);
  virtual void load(int x, int y, int width, int height);
  virtual void draw(SDL_Renderer* pRenderer);
  virtual void update();
  virtual void clean();

protected:

  std::string m_textureID;

  int m_currentFrame;
  int m_currentRow;

  int m_x;
  int m_y;

  int m_width;
  int m_height;



  std::vector<GameObject*> m_gameObjects;
};

#endif
